## cfmradio 0.3

=== Makefile ===
CFLAGS?=-O0 -g -Wall
LDFLAGS?=-Wl,--as-needed

LOCALEDIR?=/usr/share/locale

GETTEXT_PACKAGE:=cfmradio
GETTEXT_CFLAGS:=-DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\" -DLOCALEDIR=\"$(LOCALEDIR)\"
PKGCONFIG_PKGS:=libosso hildon-1 alsa libpulse-mainloop-glib dbus-glib-1 gconf-2.0
PKGCONFIG_CFLAGS:=$(shell pkg-config $(PKGCONFIG_PKGS) --cflags)
PKGCONFIG_LIBS:=$(shell pkg-config $(PKGCONFIG_PKGS) --libs)
LAUNCHER_CFLAGS:=$(shell pkg-config maemo-launcher-app --cflags)
LAUNCHER_LDFLAGS:=$(shell pkg-config maemo-launcher-app --libs)
MISC_CFLAGS:=-std=gnu99 -DG_LOG_DOMAIN=\"CFmRadio\"

SRCS:=cfmradio.c radio.c radio_routing.c types.c tuner.c rds.c \
	presets.c preset_list.c preset_renderer.c
OBJS:=$(SRCS:.c=.o)
POT:=po/$(GETTEXT_PACKAGE).pot
PO_FILES:=$(wildcard po/*.po)
MO_FILES:=$(PO_FILES:.po=.mo)
LANGS:=$(basename $(notdir $(PO_FILES)))

all: cfmradio.launch $(MO_FILES)

cfmradio.launch: $(OBJS)
	$(CC) $(LAUNCHER_LDFLAGS) $(LDFLAGS) -o $@ $^ $(PKGCONFIG_LIBS) $(LIBS)

cfmradio: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(PKGCONFIG_LIBS) $(LIBS)

$(OBJS): %.o: %.c
	$(CC) $(GETTEXT_CFLAGS) $(MISC_CFLAGS) $(PKGCONFIG_CFLAGS) $(LAUNCHER_CFLAGS) $(CFLAGS) -o $@ -c $<

radio.c: radio.h types.h n900-fmrx-enabler.h

n900-fmrx-enabler.h: n900-fmrx-enabler.xml
	dbus-binding-tool --mode=glib-client --output=$@ --prefix=fmrx_enabler $<

$(POT): $(SRCS)
	xgettext --default-domain=$(GETTEXT_PACKAGE) --from-code=UTF-8 --language=C \
	--msgid-bugs-address=maemo@javispedro.com --package-name=CFmRadio \
	--keyword=_ -o$@ $^

$(MO_FILES): %.mo: %.po
	msgfmt -c -o $@ $<

$(PO_FILES): %: $(POT)
	msgmerge -U $@ $(POT)
	@touch $@

install: cfmradio.launch
	install -m 0755 $(IFLAGS) cfmradio.launch $(DESTDIR)/usr/bin/
	ln -sf /usr/bin/maemo-invoker $(DESTDIR)/usr/bin/cfmradio
	install -m 0644 $(IFLAGS) data/icon.png \
		$(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/cfmradio.png
	install -m 0644 $(IFLAGS) data/cfmradio.service \
		$(DESTDIR)/usr/share/dbus-1/services/
	install -m 0644 $(IFLAGS) data/cfmradio.desktop \
		$(DESTDIR)/usr/share/applications/hildon/
	for lang in $(LANGS); do \
		install -d $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES ; \
		install -m 0644 po/$$lang.mo \
			$(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo ; \
	done

clean:
	rm -f cfmradio cfmradio.launch *.o $(MO_FILES)

.PHONY: all clean

=== debian/changelog ===
cfmradio (0.3) unstable; urgency=low

  * Testing audio routing (currently ifdef'd out).

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 21 Jan 2011 16:22:44 +0100

cfmradio (0.2) unstable; urgency=low

  * Implementing presets. 

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 14 Jan 2011 21:02:04 +0100

cfmradio (0.1) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 30 Oct 2010 22:28:23 +0200

=== debian/control ===
Source: cfmradio
Section: user/multimedia
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), libosso-dev, libhildon1-dev, libasound2-dev,
 libpulse-dev, maemo-launcher-dev
Standards-Version: 3.7.2

Package: cfmradio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, n900-fmrx-enabler
Description: FM radio player
 A FM radio player written in plain C using Hildon with a minimalist
 interface.
XB-Description-es_ES: Reproductor de radio FM
 Un reproductor de radio FM escrito en C usando Hildon con una interfaz
 minimalista.
XSBC-Maemo-Display-Name: CFMRadio
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oK
 HhQbOB8c1UwAAArkSURBVHja7VpdaxznFX7OOx+7sx/SSiuvvlaSE8tKcXIR2yRu
 3JuWpulVAw6lgUIvGtwEmjQmF71t7mJ60Qu7UEgJKeQHpJQWGqhDwcV1SGI7tRxs
 x07lz1iSPyXtamfmfd9zejGzsmRLjj5cvA46MKx2d3ZmzjPnec7zHg2wHuuxHuux
 HiuPt9/+4zciD7rHd2rnzu90vPHGGzt83w+IaIqZxy9fvnzh1Vd/Ob3YD/bt2wcA
 2LNnzzcCgNyTTz657bXXfvW7IAh6XNc97zjOp/V6/aBSarSjo+NaGIbWGBNPTIzr
 PXv2yJ0HePfdPwEAXnrp5y0LgLvE5wGAjtHRUfPmm7/5w8jISHnHjh2VLVse35TP
 5/cqpTqjKLooIv8EcDCTyXwK4Mo3iQIFpdQGZu4GMABgoFqt9g8MDG7o6+v1enp6
 VF9fX9zfXzXFYrHT87wcgOvGmNEwDEdrtdrRl1/+xaU7DyqSFAkRtTwAGQBlAH3p
 tgFAEYACMAsAw8PDndu2bdu0adPw5kql0l8oFIzneeczmczFTCZzxXXdS8x8yRgz
 TkSTxpiJF1/8SbTYyd5//8944YVdLacBBQA9ALLz9g1SQHoA9AIoAbjped7Mtm3b
 /e3bt1dHRkYeLZfLT3me1ykiF5RSh1zXHRWRTyYnJz8rl8tGKRVrrXWhUDDPP/+j
 RTvMK6+8/EA1AABqAMbSu55LASmm300AOJGCU9Fadxw58mn78eP/Ub7vf9ne3v75
 li2PZ7Zv3949MjKyoVgs7lZK/bq7u/smMx9j5kNEdJiZP0/P05JdYEFLBOClgPkp
 RTJpRXQByM97XwSQ832/c2BgsLe7u1Lu6uqSanUgGBiodnV399hSqeT7vm8BXNda
 nzXGnGg0GsdPnjx5cu/etxZtsbt378Y777zzwAC4M7z07jfB8AE46eeVdGtPgSmk
 uhE8/fRTj4yMPNYzODjUVy6Xu/P5fCGbDaZyueCC7/v/FZEvXdc9pZSaYOarxujx
 Xbt23VzsAl5//XXs37//gQGwGJUKacJNYCitnDYAVQD9qbDmAUy5rqueeWZn79at
 W/s2b9482FEqDSjHaWfmGyJy2hh9ZGpq6qMLFy4cn7p1a9zz/dk4js2/Dh7UZ86e
 5QddAcsJP02+mFLDTbf2dGu22A4AKJVKNDg4mOvt7S1Vq9X+9vb2Xsdx2gBYrfVn
 xpiPrbXHzo2NHfr7Bx9c/H8DkN23//c7nn322edzuVw3EbkA7ok6EQkRgYjEWqu0
 1m4URb7W2mVmSnu/xHHsR1GUmZ2dzc3W60Ecx56IsOO67Pu+47lu1vO8NhC1x3Gs
 6vU6CIhdz5vMZPxrhUJxvFKpzBQKBc3MtEg+FMfxrbGxscM/fO4HfwVwY6VdgAAU
 jNZPiMhPRaRnOUg2Tc6cSHgefN+/y/ikIIGIoJSa+675+/mvWhup1Wtga30RqYpI
 lYjgui6Y+a5zzruW2FoDAP9YTRvMAsiEYWiZ+Za1tksp5S6/qASQuWzXVp5ElAsC
 EFFyyHkJW2sXgDofDGaespb9vr7+jdVqFcW24rUPDxyIV+IDhIVhrYW1FkQEx3Gg
 HOfrygDQMcAWUApw/ASE+2R9aV7CdwaLwGgNay2MseVcrvCzt/b+9rnJyYn3Ll++
 9N6HBw6cWpERYhYwJ7Q/feoUjh09ii/PnFkaBGtAQQHe934MZ/gJ8JXziA/+BXJj
 HLB2TSAQAFIKABBGIeqzs4jj2zdUa42+vn48s3On7NixA0RKaR0rY3S/5/vfnZ6e
 PgbgIoD6sgEQZlib8GxychJHjxzBR4cOwXXdxZOJI1CpC+7w9+H058ATDehDH0Eu
 fAGYGFDOqpM31sIYg1hrNMIGwvjuau7p7kG5XKatW7fB8z2EYYjp6Wlrja2EjbCS
 dqMQgF1eBYg0ywmZTBaVSgUbH3kEjuMsvprTMaTYgagQwCiBE/jw+/ugVAwyOqHE
 KiOMIszUaqjV6wgK+btoEEURBoeG0NbWBhGB0QZRFGFmpibWWt1oNGxq1HwAjWVS
 gGHZwliDXD6H6tAgDNsFyr3gThkNExQx1t6OmwLkcjkMbhpGUM6D2ACkvlY7mySf
 O356E7QxsNYuqfrGGFQ2VNDf3z9HiTAMUa/XYa1FlFSMrFADbougMAOSchEEknsI
 1B1vCFh0/zvkHkolSh9GIcIwhLEGBIIwg79mjmCMQRiF0FrDWgNjLcIwxMzMDJgZ
 URSufDUowmBrwdbC2uRvaxiiFpcAsgy2PK+PJ63KGgtiXhwFIhAI1hpooxHHERqN
 RgqAXfbgRGuNbDaLRqMxd85YxwjDECJMWuuVA9DsAtYyQIDrecgGAdQSXFbWQGez
 UKnYkVLIZDLIBAGUtZBFkhGRxPAYg9nZWdTqtbnO4zjLF81ElxRERKxlWGuJLYOZ
 yVrL1vJqAEiSN8aAiJDNBigWi0sC4LBBlClAuR6sEMhxEeTyKJoiFC8EQCkFrTVm
 ajOYnp5CHMdgYQRBsCqRNMYgyAVwUoeY6AVARErrOIrjyCxl++/RBRjGGhhr4Gcy
 KHeV4fn+kmWp2EK7GURZRpfcRNGLMVTpQr4tAxKGEM1dQRRHiMIGcvkAHZ0lMMs8
 47hyv8DWolhsQ6lUIhGGNjqemZ66cerUyQvT01Nnrk5OzqRdYAUawAJOygm+76Or
 awNKHZ336NcCJgftOUaIm/CzEdp6N8CzHSDIbZEnQhSF0HEMEQGpprSuPkQErusi
 CHJgADqOza2pm5NHPvn4c230WQBNAHgVXYATC54uYO5lWRwIuurXQbgGASCkIOld
 nf/LbDZANhvgfkbTrrNlWGZmlmlt9Pl0rFdLk9crcoKctsCrk5M4c+YLnDt/LvEB
 LTbbN9ai3FnGY499C4NDQ8h4/uzGoY0nAPwtzbGW2mBeURewzGBmhFEDtdoMajMz
 S4rggwxrDDK+j9lGHcYaKJC4rhsDmAYQpa+1FYugTd1g0gqTdfhSTvCBTnbT2ULa
 AsGkEGvtpLyfATC1CieYrgUsg1kggpYOScXQWgaRwN6eFtlUf1dphY0Fc+LDqcUR
 aN40IgKzXds/RhIRZLA1iTtLnEVL5k4ECGTOvoMIbHltALBI4v9TIZSW5gClFZDo
 FqUVvOYKSATQPgQAJBy4rxSY6wJpFbQ6ACLpCpYTzbMsawRg3jyAmVMz2+oVwOm0
 mBItWBsAMmeFEwqg5SsgueaE+/Z+aEBzMZT4gFavgNs+AABk7V0g4RNzOhJ7CCgw
 pwGC+yCCcxR4OLqACOZpwH2gwMIuYFsaALpLBO+LBki6uGAIywIGtBoYMm9ragDf
 HxG0ZIyB47jpvM2CqPWWw8l1ETzPb9KVZI0+gKI44iiKtOO6yvVcdJa7JJ/P09yw
 v8XU33M9yWazBAgas7PR9PRUuBYA1LmxsdlCoXh5eHjzxlw+VygWi9TW1t6i3YAg
 IsScdIGJifHrp0+fuonkER1aKQACwBkdPX7rq6++Ou55/kB3T89AJpPxebnEejBD
 ERIRiaIoPnX69Njhw/++cq85wEIBvfuzIQCbiNSjuVzu267rBkoRt/h6MBFCZhVF
 0WgYhicAnAPwRToWW1EFNABcE2Gq12tA8lCT0+JuqIlBnCY+juTxPLMaDZhK+WPT
 rS3d92EAIAIwCeBqmgevlALN8JE8JF1KwWj9xcDtnGpIng6bWp6JWjqaKkoPGQA8
 zxutx3qsx3qsx3qsx+LxP4fgZIw1GQA+AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/cfmradio install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cfmradio 0.3.2

=== debian/changelog ===
cfmradio (0.3.2) unstable; urgency=low

  * Playing with making presets a GtkTreeModel. 

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 22 Jan 2011 04:01:30 +0100

cfmradio (0.3.1) unstable; urgency=low

  * Fixing bug while scrolling in the presets dialog.
  * Reduced binary size by removing most public symbols.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 21 Jan 2011 18:56:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, n900-fmrx-enabler
 Description: FM radio player
- A FM radio player written in plain C using Hildon with a minimalist
- interface.
+ A FM radio player written in plain C using Hildon with a minimalist interface.
 XB-Description-es_ES: Reproductor de radio FM
  Un reproductor de radio FM escrito en C usando Hildon con una interfaz
  minimalista.
-XSBC-Maemo-Display-Name: CFMRadio
+XSBC-Maemo-Display-Name: C FM Radio
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAA
  AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oK

## cfmradio 0.3.3

=== debian/changelog ===
cfmradio (0.3.3) unstable; urgency=low

  * Adding bugtracker link.
  * Name the main window as "cfmradio-main-window" to ease rc file
    development.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 28 Jan 2011 20:25:16 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  Un reproductor de radio FM escrito en C usando Hildon con una interfaz
  minimalista.
 XSBC-Maemo-Display-Name: C FM Radio
+XSBC-Bugtracker: https://github.com/javispedro/cfmradio/issues
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAA
  AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oK

## cfmradio 0.3.4

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 PKGCONFIG_PKGS:=libosso hildon-1 alsa libpulse-mainloop-glib dbus-glib-1 gconf-2.0
 PKGCONFIG_CFLAGS:=$(shell pkg-config $(PKGCONFIG_PKGS) --cflags)
 PKGCONFIG_LIBS:=$(shell pkg-config $(PKGCONFIG_PKGS) --libs)
-LAUNCHER_CFLAGS:=$(shell pkg-config maemo-launcher-app --cflags)
+LAUNCHER_CFLAGS:=$(shell pkg-config maemo-launcher-app --cflags) -fvisibility=hidden
 LAUNCHER_LDFLAGS:=$(shell pkg-config maemo-launcher-app --libs)
 MISC_CFLAGS:=-std=gnu99 -DG_LOG_DOMAIN=\"CFmRadio\"

=== debian/changelog ===
cfmradio (0.3.4) unstable; urgency=low

  * Trying to fix control file.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 28 Jan 2011 21:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Javier S. Pedro <maemo@javispedro.com>
 Build-Depends: debhelper (>= 5), libosso-dev, libhildon1-dev, libasound2-dev,
  libpulse-dev, maemo-launcher-dev
+XSBC-Bugtracker: http://github.com/javispedro/cfmradio/issues
 Standards-Version: 3.7.2
 
 Package: cfmradio
@@ -14,8 +15,7 @@
 XB-Description-es_ES: Reproductor de radio FM
  Un reproductor de radio FM escrito en C usando Hildon con una interfaz
  minimalista.
-XSBC-Maemo-Display-Name: C FM Radio
-XSBC-Bugtracker: https://github.com/javispedro/cfmradio/issues
+XB-Maemo-Display-Name: C FM Radio
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAA
  AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oK

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,16 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -g
+LDFLAGS = -Wl,--as-needed
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -Os
 endif
+
+export CFLAGS
+export LDFLAGS
 
 build: build-stamp
